### Enumeration

# Xdp InhibitFlags

unstable since: 1.0

#### Declaration

    flags Xdp.InhibitFlags

#### Description [src]

Flags that determine what session status changes are inhibited.

Available since: 1.0

#### Members

`XDP_INHIBIT_FLAG_LOGOUT`

  Inhibit logout.

  - Value: `1`
  - Nickname: `logout`
  - Available since: 1.0
`XDP_INHIBIT_FLAG_USER_SWITCH`

  Inhibit user switching.

  - Value: `2`
  - Nickname: `user-switch`
  - Available since: 1.0
`XDP_INHIBIT_FLAG_SUSPEND`

  Inhibit suspend.

  - Value: `4`
  - Nickname: `suspend`
  - Available since: 1.0
`XDP_INHIBIT_FLAG_IDLE`

  Inhibit the session going idle.

  - Value: `8`
  - Nickname: `idle`
  - Available since: 1.0